=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-12-17 03:49:33 +0000
+++ tests/Makefile.am	2008-12-17 04:50:59 +0000
@@ -33,7 +33,8 @@
 TEST_RUN= $(PERL) -I$(top_srcdir)/tests/lib \
 		${top_srcdir}/tests/test-run.pl \
 		--vardir=${top_builddir}/tests/var \
-		--testdir=${top_srcdir}/tests
+		--testdir=${top_srcdir}/tests \
+		--mtr-build-thread=$$$$
 
 EXTRA_DIST = \
 	$(EXTRA_SCRIPTS) \

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2008-12-16 21:39:09 +0000
+++ tests/test-run.pl	2008-12-17 04:50:59 +0000
@@ -1072,6 +1072,7 @@
 
 sub set_mtr_build_thread_ports($) {
   my $mtr_build_thread= shift;
+  $mtr_build_thread= ($mtr_build_thread % 200) - 100;
 
   if ( lc($mtr_build_thread) eq 'auto' ) {
     print "Requesting build thread... ";
@@ -1435,7 +1436,7 @@
   $ENV{'SLAVE_MYPORT2'}=      $slave->[2]->{'port'};
   $ENV{'DRIZZLE_TCP_PORT'}=     $mysqld_variables{'port'};
 
-  $ENV{MTR_BUILD_THREAD}=      $opt_mtr_build_thread;
+  $ENV{'MTR_BUILD_THREAD'}=      $opt_mtr_build_thread;
 
   $ENV{'EXE_MYSQL'}=          $exe_drizzle;
 

